/* tihonker 0.2, lord_nexus@usa.net

   desc:
      play audio from ti calculator w/ parallel link cable

   history:
      0.2: c rewrite
      0.1beta: tp7 version w/ pentium bug
*/

#include <stdio.h>
#include <dos.h>

void main(int argc, char **argv)
{
   unsigned prt,
   frq = 40000;

   printf("tihonker 0.2, lord_nexus@usa.net\n");
   if (argc<2 || argc>3) {
      printf("usage: tih.exe prt [frq]\n"
        "prt = parallel port, ie. 0x278, 0x378, 0x3bc\n"
        "frq = pc-speaker cycles, default %u\n", frq);
   } else {
      sscanf(argv[1],"%x",&prt);
      if (argc>2) sscanf(argv[2],"%u",&frq);
      printf("prt=0x%x, frq=%u, press esc to exit\n", prt, frq);
      outportb(prt,0x7f);
      while (inportb(0x60)!=0x01) {
         if (inport(prt+0x01) & 0x10)
            nosound();
         else
            sound(frq);
      }
   nosound();
   }
}
